Help

0

Odoo 12.0 Blog Post is not Editable in Translation mode

Avatar
Muhammad Arslan

I'm using Odoo 12.0 and getting 500 Internal Server Error when trying to edit any blog post in translation mode (i.e Chines language), while it is working fine in the default language (i.e English) 

#Trackback 

​Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup
r = d[key]
File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb.compile at 0x7f8b0a0d19d8>, 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 88, in lookup
r = d[key]
File "/usr/lib/python3/dist-packages/odoo/tools/func.py", line 69, in wrapper
return func(self, *args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/tools/lru.py", line 44, in __getitem__
a = self.d[obj].me
KeyError: ('ir.ui.view', <function View._read_template at 0x7f8b0a7b0d08>, frozenset({1, 2, 3, 4, 5, 6, 7, 8, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 67, 68, 77, 78, 82, 83, 84, 85, 86, 89, 90, 91, 92, 93}), 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/qweb.py", line 372, in get_template
document = options.get('load', self.load)(template, options)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_qweb.py", line 122, in load
template = env['ir.ui.view'].read_template(name)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1174, in read_template
return self._read_template(self.get_view_id(xml_id))
File "<decorator-gen-33>", line 2, in _read_template
File "/usr/lib/python3/dist-packages/odoo/tools/cache.py", line 93, in lookup
value = d[key] = self.method(*args, **kwargs)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 1165, in _read_template
arch = self.browse(view_id).read_combined(['arch'])['arch']
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 784, in read_combined
arch = self.apply_view_inheritance(arch_tree, root.id, self.model)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 732, in apply_view_inheritance
source = self.apply_inheritance_specs(source, specs_tree, view_id)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 710, in apply_inheritance_specs
self.raise_view_error(_("Element '%s' cannot be located in parent view") % tag, inherit_id)
File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_ui_view.py", line 548, in raise_view_error
raise ValueError(message)
ValueError: 元素 '<xpath expr="//p[hasclass('post-meta')]/span[hasclass('fa-tags')]">' 在母级视图中没有找到

错误的上下文:
视图 `blog_post_complete_ept`
[view_id: 2708, xml_id: n/a, model: n/a, parent_id: 2009]

load could not load template
Template: 2009



1 コメント
アバター
Discard
Avatar
Ermin Trevisan
-

Please provide your traceback.

1 回答
0
Avatar
Muhammad Arslan
Best Answer

Hi, I'm using Odoo 12.0 and getting 500 Internal Server Error when trying to edit any blog post in translation mode (i.e Chines language), while it is working fine in the default language (i.e English) 

#Trackback

Traceback (most recent call last):
  File "/etc/odoo/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/etc/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/etc/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb.compile at 0x7f518fefeea0>, 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/etc/odoo/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/etc/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/etc/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View._read_template at 0x7f5190c44158>, frozenset({1, 2, 3, 5, 6, 12, 13, 17, 19, 21, 22, 23, 24, 27, 28, 35, 37, 39, 41, 43, 44, 45, 52, 53, 54, 55, 56, 62, 68, 77, 78, 84, 90, 91}), 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/etc/odoo/odoo/addons/base/models/qweb.py", line 372, in get_template
    document = options.get('load', self.load)(template, options)
  File "/etc/odoo/odoo/addons/base/models/ir_qweb.py", line 122, in load
    template = env['ir.ui.view'].read_template(name)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1174, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-33>", line 2, in _read_template
  File "/etc/odoo/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1165, in _read_template
    arch = self.browse(view_id).read_combined(['arch'])['arch']
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 784, in read_combined
    arch = self.apply_view_inheritance(arch_tree, root.id, self.model)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 732, in apply_view_inheritance
    source = self.apply_inheritance_specs(source, specs_tree, view_id)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 710, in apply_inheritance_specs
    self.raise_view_error(_("Element '%s' cannot be located in parent view") % tag, inherit_id)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 548, in raise_view_error
    raise ValueError(message)
ValueError: 元素 '<xpath expr="//p[hasclass('post-meta')]/span[hasclass('fa-tags')]">' 在母级视图中没有找到

错误的上下文:
视图 `blog_post_complete_ept`
[view_id: 2708, xml_id: n/a, model: n/a, parent_id: 2009]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/etc/odoo/odoo/addons/base/models/ir_http.py", line 203, in _dispatch
    result = request.dispatch()
  File "/etc/odoo/odoo/http.py", line 833, in dispatch
    r = self._call_function(**self.params)
  File "/etc/odoo/odoo/http.py", line 344, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/etc/odoo/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/etc/odoo/odoo/http.py", line 340, in checked_call
    result.flatten()
  File "/etc/odoo/odoo/http.py", line 1268, in flatten
    self.response.append(self.render())
  File "/etc/odoo/odoo/http.py", line 1261, in render
    return env["ir.ui.view"].render_template(self.template, self.qcontext)
  File "/etc/odoo/addons/app_odoo_customize/models/ir_ui_view.py", line 18, in render_template
    return super(View, self).render_template(template, values=values, engine=engine)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1284, in render_template
    return self.browse(self.get_view_id(template)).render(values, engine)
  File "/etc/odoo/addons/website/models/ir_ui_view.py", line 318, in render
    return super(View, self).render(values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/etc/odoo/addons/web_editor/models/ir_ui_view.py", line 27, in render
    return super(IrUiView, self).render(values=values, engine=engine, minimal_qcontext=minimal_qcontext)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1293, in render
    return self.env[engine].render(self.id, qcontext)
  File "/etc/odoo/odoo/addons/base/models/ir_qweb.py", line 59, in render
    result = super(IrQWeb, self).render(id_or_xml_id, values=values, **context)
  File "/etc/odoo/odoo/addons/base/models/qweb.py", line 274, in render
    self.compile(template, options)(self, body.append, values or {})
  File "<decorator-gen-54>", line 2, in compile
  File "/etc/odoo/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/etc/odoo/odoo/addons/base/models/ir_qweb.py", line 114, in compile
    return super(IrQWeb, self).compile(id_or_xml_id, options=options)
  File "/etc/odoo/odoo/addons/base/models/qweb.py", line 291, in compile
    element, document = self.get_template(template, options)
  File "/etc/odoo/odoo/addons/base/models/qweb.py", line 376, in get_template
    raise QWebException("load could not load template", name=template)
odoo.addons.base.models.qweb.QWebException: None
Traceback (most recent call last):
  File "/etc/odoo/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/etc/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/etc/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.qweb', <function IrQWeb.compile at 0x7f518fefeea0>, 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/etc/odoo/odoo/tools/cache.py", line 88, in lookup
    r = d[key]
  File "/etc/odoo/odoo/tools/func.py", line 69, in wrapper
    return func(self, *args, **kwargs)
  File "/etc/odoo/odoo/tools/lru.py", line 44, in __getitem__
    a = self.d[obj].me
KeyError: ('ir.ui.view', <function View._read_template at 0x7f5190c44158>, frozenset({1, 2, 3, 5, 6, 12, 13, 17, 19, 21, 22, 23, 24, 27, 28, 35, 37, 39, 41, 43, 44, 45, 52, 53, 54, 55, 56, 62, 68, 77, 78, 84, 90, 91}), 2009, ('zh_CN', None, None, True, True, 1))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/etc/odoo/odoo/addons/base/models/qweb.py", line 372, in get_template
    document = options.get('load', self.load)(template, options)
  File "/etc/odoo/odoo/addons/base/models/ir_qweb.py", line 122, in load
    template = env['ir.ui.view'].read_template(name)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1174, in read_template
    return self._read_template(self.get_view_id(xml_id))
  File "<decorator-gen-33>", line 2, in _read_template
  File "/etc/odoo/odoo/tools/cache.py", line 93, in lookup
    value = d[key] = self.method(*args, **kwargs)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 1165, in _read_template
    arch = self.browse(view_id).read_combined(['arch'])['arch']
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 784, in read_combined
    arch = self.apply_view_inheritance(arch_tree, root.id, self.model)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 732, in apply_view_inheritance
    source = self.apply_inheritance_specs(source, specs_tree, view_id)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 710, in apply_inheritance_specs
    self.raise_view_error(_("Element '%s' cannot be located in parent view") % tag, inherit_id)
  File "/etc/odoo/odoo/addons/base/models/ir_ui_view.py", line 548, in raise_view_error
    raise ValueError(message)
ValueError: 元素 '<xpath expr="//p[hasclass('post-meta')]/span[hasclass('fa-tags')]">' 在母级视图中没有找到

错误的上下文:
视图 `blog_post_complete_ept`
[view_id: 2708, xml_id: n/a, model: n/a, parent_id: 2009]

load could not load template
Template: 2009
アバター
Discard